<template>
  <info-card title="Información general">
    <v-container fluid>
      <info-field field="Nombre de centro">
        <v-text-field
          label=""
          :value="center.name"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Dirección">
        <v-text-field
          label=""
          :value="center.address"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Ubicación">
        <v-text-field
          label=""
          :value="locationFormat(center.location)"
          outlined
          readonly
        />
      </info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import InfoField from '~/components/Common/Info/InfoField';
import { locationFormat } from '~/helpers/format/location';

export default {
  name: 'GeneralInfo',
  components: {
    InfoCard,
    InfoField,
  },
  computed: {
    ...mapState({
      center: state => state.company.centers.current.center,
    }),
  },
  methods: {
    locationFormat,
  },
};
</script>
